function Scheme1()
{
  function TRSBlock_FromTag1()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_FromTag1);
  this.value = "Server.Tags.HDL-BUS Pro Network (UDP).HDL-MTS04_20 (Temperature sensor):Temperature 1";


  this.Execute = function(inputlist)
  {
     this.outparamlist[0].value = IR.GetVariable(this.value);
     inputlist.push(this.outparamlist[0].SendValue());
     return true;
  }
     
  }
  function TRSBlock_FromTag2()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_FromTag2);
  this.value = "Server.Tags.TEMP";


  this.Execute = function(inputlist)
  {
     this.outparamlist[0].value = IR.GetVariable(this.value);
     inputlist.push(this.outparamlist[0].SendValue());
     return true;
  }
     
  }
  function TRSBlock_SendToChannel1()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_SendToChannel1);
  this.value = "Server.Channels.HDL-BUS Pro Network (UDP).MHRCU:RELE";


  this.Execute = function(inputlist)
  {
     IR.SetVariable(this.value, this.inparamlist[0].value);
     return true;
  }
     
  }
  function TRSBlock_AnalogInputScaling1()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_AnalogInputScaling1);
  this.inrangelow = 0;
  this.inrangehigh = 1;
  this.outrangelow = 0;
  this.outrangehigh = 100;


  this.Execute = function(inputlist)
  {
     this.outparamlist[0].value =  ((this.outrangehigh - this.outrangelow) * (this.inparamlist[0].value - this.inrangelow) / (this.inrangehigh - this.inrangelow)) + this.outrangelow;
     inputlist.push(this.outparamlist[0].SendValue());
     return true;
  }
     
  }
  function TRSBlock_Great1()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_Great1);


  this.Execute = function(inputlist)
  {
     if (this.inparamlist[0].value > this.inparamlist[1].value)
       this.outparamlist[0].value = 1;
     else
       this.outparamlist[0].value = 0;
     inputlist.push(this.outparamlist[0].SendValue());
     return true;
  }
     
  }
  var executor;
  this.Init = function()
  {
    executor = new TRSchemeEexecutor;
    var block_TRSBlock_FromTag1 = new TRSBlock_FromTag1;
    var output_TRSBlock_FromTag1_0 = new TRSOutput;
    block_TRSBlock_FromTag1.AddOutput(output_TRSBlock_FromTag1_0);
    executor.AddBlock(block_TRSBlock_FromTag1);
    var block_TRSBlock_FromTag2 = new TRSBlock_FromTag2;
    var output_TRSBlock_FromTag2_0 = new TRSOutput;
    block_TRSBlock_FromTag2.AddOutput(output_TRSBlock_FromTag2_0);
    executor.AddBlock(block_TRSBlock_FromTag2);
    var block_TRSBlock_SendToChannel1 = new TRSBlock_SendToChannel1;
    var input_TRSBlock_SendToChannel1_0 = new TRSInput;
    block_TRSBlock_SendToChannel1.AddInput(input_TRSBlock_SendToChannel1_0);
    executor.AddBlock(block_TRSBlock_SendToChannel1);
    var block_TRSBlock_AnalogInputScaling1 = new TRSBlock_AnalogInputScaling1;
    var input_TRSBlock_AnalogInputScaling1_0 = new TRSInput;
    block_TRSBlock_AnalogInputScaling1.AddInput(input_TRSBlock_AnalogInputScaling1_0);
    var output_TRSBlock_AnalogInputScaling1_0 = new TRSOutput;
    block_TRSBlock_AnalogInputScaling1.AddOutput(output_TRSBlock_AnalogInputScaling1_0);
    executor.AddBlock(block_TRSBlock_AnalogInputScaling1);
    var block_TRSBlock_Great1 = new TRSBlock_Great1;
    var input_TRSBlock_Great1_0 = new TRSInput;
    block_TRSBlock_Great1.AddInput(input_TRSBlock_Great1_0);
    var input_TRSBlock_Great1_1 = new TRSInput;
    block_TRSBlock_Great1.AddInput(input_TRSBlock_Great1_1);
    var output_TRSBlock_Great1_0 = new TRSOutput;
    block_TRSBlock_Great1.AddOutput(output_TRSBlock_Great1_0);
    executor.AddBlock(block_TRSBlock_Great1);
    output_TRSBlock_FromTag1_0.Input = input_TRSBlock_Great1_1;
    output_TRSBlock_FromTag2_0.Input = input_TRSBlock_Great1_0;
    output_TRSBlock_AnalogInputScaling1_0.Input = input_TRSBlock_SendToChannel1_0;
    output_TRSBlock_Great1_0.Input = input_TRSBlock_AnalogInputScaling1_0;
    executor.Prepare();
  }
  this.Execute = function()
  {
    executor.Execute();
  }
}
var IRScheme_Scheme1;
IR.AddListener(IR.EVENT_START, 0, function()
{
  IRScheme_Scheme1 = new Scheme1;
  IRScheme_Scheme1.Init();
});
function IRScheme_Scheme1_Execute()
{
  IRScheme_Scheme1.Execute();
}
var IRScheme_Scheme1_Timer;
function IRScheme_Scheme1_StartTimer()
{
  IRScheme_Scheme1_Timer = IR.SetInterval(1000, IRScheme_Scheme1_Execute);
}
function IRScheme_Scheme1_StopTimer()
{
  IR.ClearInterval(IRScheme_Scheme1_Timer);
}
